Summary: Hardware RAID toolkit
Name: hwraidtools
Version: 3.16
Release: 1
Group: FIO
Vendor: CERN
License: LGPL
Packager: Andras.Horvath@cern.ch 
BuildRoot: /var/tmp/%{name}-buildroot
Source: %{name}.tar.gz
#Requires: 3ware-util-cli >= 9.4.1.2, areca_tools, megaraid-util-cli
Requires: sed,gawk,grep,coreutils,sg3_utils
BuildArch: noarch

%description
This toolkit contains:
	- hwraidman: scriptable configuration of hardware RAID arrays. It can save
	  current config in CSV format, destroy arrays, create arrays from CSV
	  (also from its own output)
	  Currently suppored controllers:
		- 3ware 8xxx and 9xxx series (kernels 2.4 and 2.6)
		- Areca (on 2.6 kernels only)
		- Megaraid (LSI, DELL Perc etc; 2.6 kernels only)
		- Adaptec (all variations, 2.6 only)

%prep
%setup -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/hwraidtools
mkdir -p $RPM_BUILD_ROOT/etc
install -m 755 hwraidman %{buildroot}/usr/bin/
install -m 644 lib/hwraidinfo %{buildroot}/usr/lib/hwraidtools/
install -m 644 lib/hwraid_3ware %{buildroot}/usr/lib/hwraidtools/
install -m 644 lib/hwraid_areca %{buildroot}/usr/lib/hwraidtools/
install -m 644 lib/hwraid_megaraid %{buildroot}/usr/lib/hwraidtools/
install -m 644 lib/hwraid_adaptec %{buildroot}/usr/lib/hwraidtools/
install -m 644 etc/hwraidtools.conf %{buildroot}/etc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/hwraidman
/usr/lib/hwraidtools
%config /etc/hwraidtools.conf

%post

%changelog
* Fri Aug 21 2009  Andras HORVATH <andras.horvath@cern.ch> 3.16-1
- degraded/rebuilding Areca properly shown in 'info'

* Mon Aug 17 2009  Andras HORVATH <andras.horvath@cern.ch> 3.15-1
- device names on SLC5/areca

* Tue May 12 2009  Andras HORVATH <andras.horvath@cern.ch> 3.14-1
- udevinfo vs. 'udevadm info' in Fedora and Ubuntu

* Tue Apr  7 2009  Andras HORVATH <andras.horvath@cern.ch> 3.13-1
- carved arrays (same disks, multiple logical devices) work on adaptec as expected

* Wed Mar 11 2009  Andras HORVATH <andras.horvath@cern.ch> 3.12-1
- compatibility with new arcconf (Adaptec CLI)  6.10.18359

* Wed Feb 11 2009  Andras HORVATH <andras.horvath@cern.ch> 3.11-1
- correctly report spares on Adaptec

* Fri Jan 23 2009  Andras HORVATH <andras.horvath@cern.ch> 3.10-1
- bugfix: correctly guess Megaraid device names on Dell 2950 (PERC 6/i + slc5)

* Wed Jan 21 2009  Andras HORVATH <andras.horvath@cern.ch> 3.9-1
- also skip Xen virtual disks

* Tue Jan 20 2009  Andras HORVATH <andras.horvath@cern.ch> 3.8-1
- skip floppies

* Mon Nov 10 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.7-1
- 'verify' on adaptec

* Thu Oct 30 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.6-1
- speed up sysfs lookups

* Wed Oct 29 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.5-1
- better support for JBODs on Adaptec

* Mon Oct 13 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.4-1
- updated for areca_tools 1.8 (INCOMPATIBLE with old versions)

* Tue Sep 30 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.3-1
- almost full Adaptec support

* Wed Sep 24 2008 Andras Horvath <Andras.Horvath@cern.ch> 3.0-1
- first adaptec support
- config file for constants/paths etc

* Mon Jul 21 2008 Andras Horvath <Andras.Horvath@cern.ch>
- move from smartctl to sg3_inq to identify 3ware devices (cleaner, neater, works on e.g. SL5)

* Mon May 19 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.14-1
- almost full megaraid support (except stripe size) (testing needed!)

* Fri May 16 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.13-1
- 'destroy' and limited 'create' support for megaraid

* Tue Apr 08 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.12-1
- explicitly switch NCQ off on 3ware (known to cause port resets and data corruption)

* Mon Apr 07 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.11-1
- megaraid 'info' fix, works on SL5

* Tue Apr 01 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.10-1
- added 'storsave=balance' to 'tune' and 'create' on 3ware 
  where supported (95xx/96xx)

* Wed Feb 27 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.9-1
- getting sort after info right finally (by controller, then by unit)

* Thu Jan 10 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.8-1
- limited Megaraid (DELL PERC etc) support ('verify' and 'tune')

* Wed Jan 09 2008 Andras Horvath <Andras.Horvath@cern.ch> 2.7-1
- limited Megaraid (DELL PERC etc) support ('info' only)

* Wed Jun 26 2007 Andras Horvath <Andras.Horvath@cern.ch> 2.6-2
- "info" prints array status. Areca support is _not tested_!
- SINGLE vs. JBOD on 3ware 9650 part 2: report JBOD everywhere
- tw_cli 9.4.1.2 required for 9650
- more than 10 units can be recreated in the right order

* Tue Jun 26 2007 Andras Horvath <Andras.Horvath@cern.ch> 2.5-1
- turn NCQ and write cache on on new volumes by default (on 3ware)
- 'tune' option to turn on the above on already existing volumes

* Tue Mar 06 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.4-1
- tw_cli 9.4.1.1
- SINGLE vs. JBOD on 3ware 9650

* Tue Mar 06 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.3-1
- compatible with (and requires!) tw_cli 9.4.0.1

* Fri Mar 02 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.2-2
- fixed harmless error message

* Tue Feb 13 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.2-1
- bugfix: ignore missing disks on 3ware

* Thu Feb 08 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.1-2
- bugfix: create works again on 3ware

* Wed Jan 24 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.1-1
-  verify support for 3ware 7/8/9000 and Areca, subject to controller limitations

* Wed Jan 10 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.0-2
- back-fixed for SLC3, missing CLIs

* Tue Jan 02 2007 Andras Horvath <Andras.Horvath@cern.ch>	2.0-1
- Areca RAID controller support, kernel 2.6 only
- Even destructive actions are instantly executed (needed for Areca)

* Fri Nov 24 2006 Andras Horvath <Andras.Horvath@cern.ch>	1.1-2
- added device mapping (on 9000 series)

* Wed Nov 15 2006 Andras Horvath <Andras.Horvath@cern.ch>	1.0-7
- added 'smallest-mirror' option to hwraidman

* Fri Nov 10 2006 Andras Horvath <Andras.Horvath@cern.ch>
- first release w/ hwraidman

